Upgrading to 3.1

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Anti-Spam Guide
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
lankidden
Registered User
Posts: 62
Joined: Tue Jun 06, 2006 1:32 pm

Upgrading to 3.1

Post by lankidden »

Having a Board with very little traffic I have not until now upgraded from 3.0.12, but as my WebHost is making a surcharge for supporting 3.0, now is definitely the time to upgrade. So, I have backed up the Database and the Board WebSite and followed the "Upgrading from 3.0 to 3.1" instructions up until Item 9. "Visit install/database_update.php" and this is where I have come unstuck. On completing the instruction these were the messages I received:-

Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /homepages/15/d417489829/htdocs/weimaraner/install/database_update.php on line 56

Warning: Unexpected character in input: '\' (ASCII=92) state=1 in /homepages/15/d417489829/htdocs/weimaraner/install/database_update.php on line 56

Parse error: syntax error, unexpected T_STRING in /homepages/15/d417489829/htdocs/weimaraner/install/database_update.php on line 56

At this point I have to say that I am out of my depth and any help or advice would be most welcome.

Neil C
aka Lankidden
User avatar
KevC
Support Team Member
Support Team Member
Posts: 70280
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: Upgrading to 3.1

Post by KevC »

That's in the sticky at the top of this forum.

The server is not running a compatible version of php.
It must be more than 5.3.3 but less than 7.0
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"
lankidden
Registered User
Posts: 62
Joined: Tue Jun 06, 2006 1:32 pm

Re: Upgrading to 3.1

Post by lankidden »

Hi Kev,
Thanks for such a prompt reply.
I did look for info before posting but mea culpa, I didn't spot the sticky.
I'm with 1and1 and their Control Panel allows of immediate updating to a recommended php 5.6, although they support up to php 7.0. I have updated my Website to 5.6, is there any benefit in updating to 7.0 as the facility is there?
Many thanks
Neil
User avatar
RMcGirr83
Former Team Member
Posts: 21696
Joined: Wed Jun 22, 2005 4:33 pm
Location: Your display
Name: Rich McGirr

Re: Upgrading to 3.1

Post by RMcGirr83 »

PHP 7.0 runs quicker than previous versions but phpBB 3.1 doesn't support version 7
Former Modifications/Extensions Team Member | My extensions | github | All requests for support via PM will be ignored
Appreciate the extensions/mods/support then buy me a beerImage
Locked

Return to “[3.0.x] Support Forum”